#ifndef _TSATEST_H
# define _TSATEST_H

#include <string>
#include <vector>

#include "main.h"

using namespace std;

class CTSATest
{
public:
	int m_allTryTS;
	int m_allGoodTS;
	int m_id;
	vector<MemoryStruct*> m_pmBuffs;
	CURL* m_curl;
	struct curl_slist *m_headers;
	SSLCTXPARAM m_SSLCtx;

	string m_sContentType;
	string m_sURL;
	string m_userPass;

	static int curl_debug_clbk(CURL *curl, curl_infotype infotype, char *data, size_t data_len, void *x);
	static size_t WriteMemoryCallback(void *ptr, size_t size, size_t nmemb, void *data);
	static CURLcode SSLCtxCallback(CURL * curl, void * sslctx, void * parm);

	CTSATest(int id);
	~CTSATest();

	int initConnection();
	int getOne();
	void saveFiles();
};

#endif // _TSATEST_H
